org.apache.tools.ant.taskdefs.optional.javah

## Class SunJavah

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.javah.SunJavah

All Implemented Interfaces:
  JavahAdapter

    public class SunJavah
    extends java.lang.Object
    implements JavahAdapter

Adapter to com.sun.tools.javah.oldjavah.Main or com.sun.tools.javah.Main.

Since:
  Ant 1.6.3

### Field Summary

Fields
`static java.lang.String` `IMPLEMENTATION_NAME` the name of the javah adapter - sun

### Constructor Summary

Constructors
Constructor and Description
`SunJavah()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `compile(Javah javah)` Performs the actual compilation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IMPLEMENTATION_NAME

    public static final java.lang.String IMPLEMENTATION_NAME

the name of the javah adapter - sun

See Also:
  Constant Field Values

### Constructor Detail

#### SunJavah

    public SunJavah()

### Method Detail

#### compile

    public boolean compile(Javah javah)
                    throws BuildException

Performs the actual compilation.

Specified by:
  `compile` in interface `JavahAdapter`
Parameters:
  `javah` - the calling javah task.
Returns:
  true if the compilation was successful.
Throws:
  `BuildException` - if there is an error.
Since:
  Ant 1.6.3